Skip to main content

Marketplace Authorizations with a Foreign Retailer


Some processors require marketplaces to identify foreign retail transactions when the marketplace and issuer are in the European Economic Area (EEA), the U.K., and Gibraltar and the retailer is in a different country. For marketplace transactions, the marketplace is the merchant and the retailer is the sub-merchant. Marketplace foreign retail transactions are identified in the on the transaction details page.

Supported Processors

  • Barclays
  • Visa Platform Connect
  • Barclays

Fields Specific to This Use Case

These fields are required for this use case:

FieldDescription
aggregatorInformation.subMerchant.countrySet this value to the retailer country.
merchantInformation.merchantDescriptor.countrySet this value to the marketplace country.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "aggregatorInformation": {        "subMerchant": {            "country": "AU"        }    },    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Kim",            "address1": "201 S. Division St.",            "postalCode": "48104-2201",            "locality": "Ann Arbor",            "administrativeArea": "MI",            "firstName": "Kyong-Jin",            "email": "[email protected]"        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "GBP"        }    },    "merchantInformation": {        "merchantDescriptor": {            "country": "GB"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2031",            "number": "CARD_NUMBER",            "expirationMonth": "12",            "type": "001"        }    }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6461731521426399003473/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6461731521426399003473"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6461731521426399003473/captures"    }  },  "clientReferenceInformation": {    "code": "1646173152047"  },  "id": "6461731521426399003473",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "100.00",      "currency": "usd"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "paymentInsightsInformation": {    "responseInsights": {      "categoryCode": "01"    }  },  "processorInformation": {    "systemTraceAuditNumber": "862481",    "approvalCode": "831000",    "merchantAdvice": {      "code": "01",      "codeRaw": "M001"    },    "responseDetails": "ABC",    "networkTransactionId": "016153570198200",    "consumerAuthenticationResponse": {      "code": "2",      "codeRaw": "2"    },    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  },  "reconciliationId": "6461731521426399003473",  "status": "AUTHORIZED",  "submitTimeUtc": "2024-03-01T22:19:12Z"}
{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "errorInformation": {    "reason": "PROCESSOR_ERROR",    "message": "Invalid account"  },  "id": "6583553837826789303954",  "paymentInsightsInformation": {    "responseInsights": {      "categoryCode": "01",      "category": "ISSUER_WILL_NEVER_APPROVE"    }  },  "pointOfSaleInformation": {    "amexCapnData": "1009S0600100"  },  "processorInformation": {    "systemTraceAuditNumber": "004544",    "merchantNumber": "1231231222",    "networkTransactionId": "431736869536459",    "transactionId": "431736869536459",    "responseCode": "111",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  },  "status": "DECLINED"}

Required Fields

These fields are required to process a marketplace authorization with a foreign retailer:

FieldDescription
aggregatorInformation.subMerchant.countrySet this value to the retailer country.
merchantInformation.merchantDescriptor.countrySet this value to the marketplace country.
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.billTo.address1
orderInformation.billTo.administrativeArea
orderInformation.billTo.country
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.postalCode
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number

Last published: September 29, 2026